INPUT_MT_ASSIGN_SLOT(9)

NAME
input_mt_assign_slots - perform a best-match assignment

SYNOPSIS

int input_mt_assign_slots(struct input_dev * dev, int * slots, const struct input_mt_pos * pos, int num_pos);

ARGUMENTS

dev
    input device with allocated MT slots

slots
    the slot assignment to be filled

pos
    the position array to match

num_pos
    number of positions

DESCRIPTION

Performs a best match against the current contacts and returns the slot assignment list. New contacts are assigned to unused slots.

Returns zero on success, or negative error in case of failure.

COPYRIGHT